%define pyver %(python -c 'import sys ; print sys.version[:3]')
%define pynext %(python -c 'print %{pyver} + 0.1')
%define srcname adns-python

Name:           python-adns
Version:        1.0.0
Release:        0.fdr.3.rh90
Epoch:          0
Summary:	Python interface for the GNU adns library
Group:		Development/Languages
License:	GPL
URL:		http://dustman.net/andy/python/adns-python
Source0:	http://dustman.net/andy/python/adns-python/1.0.0/adns-python-1.0.0.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:	python-devel, adns-devel
Requires:	python >= 0:%{pyver}, python < 0:%{pynext}

%description
The adns module provides an interface to the GNU ADNS asynchronous DNS
resolver library.

%prep
%setup -q -n %{srcname}-%{version}

%build
env CFLAGS="$RPM_OPT_FLAGS" python setup.py build

%install
rm -rf $RPM_BUILD_ROOT
python setup.py install --root=$RPM_BUILD_ROOT --record=INSTALLED_FILES
touch $RPM_BUILD_ROOT/%{_libdir}/python%{pyver}/site-packages/{ADNS,hostmx,rblcheck}.pyo

%clean
rm -rf $RPM_BUILD_ROOT

%files -f INSTALLED_FILES
%defattr(-,root,root)
%doc GPL README

%ghost %{_libdir}/python%{pyver}/site-packages/*.pyo

%changelog
* Sun Jan 18 2004 Michel Alexandre Salim <salimma[AT]users.sf.net> 0:1.0.0-0.fdr.3
- Fixed Source URL
- wipe RPM_BUILD_ROOT before install
- Add GPL to packaged documentation

* Wed Dec 24 2003 Michel Alexandre Salim <salimma[AT]users.sourceforge.net> 0:1.0.0-0.fdr.2
- Added missing build dependency on python-devel
- Ghosted *.pyo

* Mon Oct 27 2003 Michel Alexandre Salim <salimma[AT]users.sourceforge.net> 0:1.0.0-0.fdr.1
- Initial Fedora release.
